GDB (xrefs)

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
lookup_name_info Class Referencefinal

`#include "symtab.h"`

## Public Member Functions
| lookup_name_info (std::string name, symbol_name_match_type match_type, bool completion_mode=false, bool ignore_parameters=false)
symbol_name_match_type | match_type () const
bool | completion_mode () const
const std::string & | name () const
const bool | ignore_parameters () const
lookup_name_info | make_ignore_params () const
unsigned int | search_name_hash (language lang) const
const std::string & | language_lookup_name (language lang) const
const ada_lookup_name_info & | ada () const
const demangle_for_lookup_info & | cplus () const
const demangle_for_lookup_info & | d () const
const demangle_for_lookup_info & | go () const

## Static Public Member Functions
static const lookup_name_info & | match_any ()

## Private Member Functions
template<typename Field , typename... Args>
void | maybe_init (Field &field, Args &&... args) const

## Private Attributes
symbol_name_match_type | m_match_type
bool | m_completion_mode
bool | m_ignore_parameters
std::string | m_name
gdb::optional< ada_lookup_name_info > | m_ada
gdb::optional< demangle_for_lookup_info > | m_cplus
gdb::optional< demangle_for_lookup_info > | m_d
gdb::optional< demangle_for_lookup_info > | m_go
std::array< unsigned int, nr_languages > | m_demangled_hashes
std::array< bool, nr_languages > | m_demangled_hashes_p {}

## Detailed Description

Definition at line 179 of file symtab.h.

## Constructor & Destructor Documentation

## ◆ lookup_name_info()

lookup_name_info::lookup_name_info | ( | std::string | name,
|  | symbol_name_match_type | match_type,
|  | bool | completion_mode = `false`,
|  | bool | ignore_parameters = `false`
| ) |  |
| inline

Definition at line 183 of file symtab.h.

Referenced by make_ignore_params().

## Member Function Documentation

## ◆ ada()

const ada_lookup_name_info& lookup_name_info::ada | ( |  | ) | const
| inline

Definition at line 240 of file symtab.h.

References m_ada, and maybe_init().

Referenced by ada_add_all_symbols(), ada_add_block_symbols(), ada_get_symbol_name_matcher(), ada_lookup_name(), ada_symbol_name_matches(), add_nonlocal_symbols(), get_symbol_name_matcher(), language_lookup_name(), and linkage_name_str().

## ◆ completion_mode()

bool lookup_name_info::completion_mode | ( |  | ) | const
| inline

Definition at line 195 of file symtab.h.

References m_completion_mode.

Referenced by ada_get_symbol_name_matcher(), cp_fq_symbol_name_matches(), cp_symbol_name_matches(), default_symbol_name_matcher(), demangle_for_lookup_info::demangle_for_lookup_info(), mapped_index_base::find_name_components_bounds(), and literal_symbol_name_matcher().

## ◆ cplus()

const demangle_for_lookup_info& lookup_name_info::cplus | ( |  | ) | const
| inline

Definition at line 247 of file symtab.h.

References language_cplus, m_cplus, and maybe_init().

Referenced by cp_fq_symbol_name_matches(), cp_symbol_name_matches(), mapped_index_base::find_name_components_bounds(), and language_lookup_name().

## ◆ d()

const demangle_for_lookup_info& lookup_name_info::d | ( |  | ) | const
| inline

Definition at line 254 of file symtab.h.

References language_d, m_d, and maybe_init().

Referenced by language_lookup_name().

## ◆ go()

const demangle_for_lookup_info& lookup_name_info::go | ( |  | ) | const
| inline

Definition at line 261 of file symtab.h.

References language_go, m_go, and maybe_init().

Referenced by language_lookup_name().

## ◆ ignore_parameters()

const bool lookup_name_info::ignore_parameters | ( |  | ) | const
| inline

Definition at line 197 of file symtab.h.

References m_ignore_parameters.

Referenced by demangle_for_lookup_info::demangle_for_lookup_info().

## ◆ language_lookup_name()

const std::string& lookup_name_info::language_lookup_name | ( | language | lang | ) | const
| inline

Definition at line 222 of file symtab.h.

References ada(), cplus(), d(), go(), language_ada, language_cplus, language_d, language_go, ada_lookup_name_info::lookup_name(), demangle_for_lookup_info::lookup_name(), and m_name.

Referenced by selftests::lookup_name::check_make_paramless(), match_partial_symbol(), and search_name_hash().

## ◆ make_ignore_params()

lookup_name_info lookup_name_info::make_ignore_params | ( |  | ) | const
| inline

Definition at line 202 of file symtab.h.

References lookup_name_info(), m_completion_mode, m_match_type, and m_name.

Referenced by dw2_expand_symtabs_matching_symbol(), and psym_expand_symtabs_matching().

## ◆ match_any()

const lookup_name_info & lookup_name_info::match_any | ( |  | ) |
| static

Definition at line 1794 of file symtab.c.

References FULL.

Referenced by ada_add_global_exceptions(), maintenance_expand_symtabs(), and search_symbols().

## ◆ match_type()

symbol_name_match_type lookup_name_info::match_type | ( |  | ) | const
| inline

Definition at line 194 of file symtab.h.

References m_match_type.

Referenced by ada_add_block_renamings(), ada_get_symbol_name_matcher(), ada_symbol_name_matches(), cp_get_symbol_name_matcher(), and demangle_for_lookup_info::demangle_for_lookup_info().

## ◆ maybe_init()

template<typename Field , typename... Args>

void lookup_name_info::maybe_init | ( | Field & | field,
|  | Args &&... | args
| ) |  | const
| inline private

Definition at line 274 of file symtab.h.

Referenced by ada(), cplus(), d(), and go().

## ◆ name()

const std::string& lookup_name_info::name | ( |  | ) | const
| inline

Definition at line 196 of file symtab.h.

References m_name.

Referenced by add_nonlocal_symbols(), default_symbol_name_matcher(), demangle_for_lookup_info::demangle_for_lookup_info(), linkage_name_str(), and literal_symbol_name_matcher().

## ◆ search_name_hash()

unsigned int lookup_name_info::search_name_hash | ( | language | lang | ) | const
| inline

Definition at line 209 of file symtab.h.

References language_lookup_name(), m_demangled_hashes, and m_demangled_hashes_p.

Referenced by iterate_over_minimal_symbols(), and lookup_minimal_symbol().

## Member Data Documentation

## ◆ m_ada

gdb::optional<ada_lookup_name_info> lookup_name_info::m_ada
| mutable private

Definition at line 292 of file symtab.h.

Referenced by ada().

## ◆ m_completion_mode

bool lookup_name_info::m_completion_mode
| private

Definition at line 282 of file symtab.h.

Referenced by completion_mode(), and make_ignore_params().

## ◆ m_cplus

gdb::optional<demangle_for_lookup_info> lookup_name_info::m_cplus
| mutable private

Definition at line 293 of file symtab.h.

Referenced by cplus().

## ◆ m_d

gdb::optional<demangle_for_lookup_info> lookup_name_info::m_d
| mutable private

Definition at line 294 of file symtab.h.

Referenced by d().

## ◆ m_demangled_hashes

std::array<unsigned int, nr_languages> lookup_name_info::m_demangled_hashes
| mutable private

Definition at line 302 of file symtab.h.

Referenced by search_name_hash().

## ◆ m_demangled_hashes_p

std::array<bool, nr_languages> lookup_name_info::m_demangled_hashes_p {}
| mutable private

Definition at line 303 of file symtab.h.

Referenced by search_name_hash().

## ◆ m_go

gdb::optional<demangle_for_lookup_info> lookup_name_info::m_go
| mutable private

Definition at line 295 of file symtab.h.

Referenced by go().

## ◆ m_ignore_parameters

bool lookup_name_info::m_ignore_parameters
| private

Definition at line 283 of file symtab.h.

Referenced by ignore_parameters().

## ◆ m_match_type

symbol_name_match_type lookup_name_info::m_match_type
| private

Definition at line 281 of file symtab.h.

Referenced by make_ignore_params(), and match_type().

## ◆ m_name

std::string lookup_name_info::m_name
| private

Definition at line 284 of file symtab.h.

Referenced by language_lookup_name(), make_ignore_params(), and name().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/symtab.h
- /tmp/gdb-8.1/gdb/symtab.c